#!/bin/sh

EXT=../../Extensions/Aprove

EXTCLASSES=
EXTLIB=
OUTFILE="aprove-plain.benchmark"

J2SE142_JRE_RT=/opt/j2sdk1.4.0/jre/lib/rt.jar
J2EE_SDK=~/j2eeSDK1.4.2

ABC_JARS=./jasminclasses-2.2.2.jar:~/abc/abc-complete.jar:~/abc/abc-runtime.jar

CURRENTJASMIN=./jasminclasses-2.2.2.jar
CURRENTSOOT=~/abc/sootclasses-2.2.1.jar
APROVE=./classes
WOVEN=./woven
APROVEDEPLIB=./lib
APROVEDEPS=$APROVEDEPLIB/immutables.jar:$APROVEDEPLIB/javax.servlet.jar:$APROVEDEPLIB/jdotty.jar:$APROVEDEPLIB/jhall.jar:$APROVEDEPLIB/junit.jar:$APROVEDEPLIB/resolver.jar:$APROVEDEPLIB/swt.jar:$APROVEDEPLIB/swt-pi.jar
SOOTPATCH=./sootClass

J2EE_JARS=${J2EE_SDK}/lib/ant/etc/ant-bootstrap.jar:${J2EE_SDK}/lib/ant/lib/ant-antlr.jar:${J2EE_SDK}/lib/ant/lib/ant-apache-bcel.jar:${J2EE_SDK}/lib/ant/lib/ant-apache-bsf.jar:${J2EE_SDK}/lib/ant/lib/ant-apache-log4j.jar:${J2EE_SDK}/lib/ant/lib/ant-apache-oro.jar:${J2EE_SDK}/lib/ant/lib/ant-apache-regexp.jar:${J2EE_SDK}/lib/ant/lib/ant-apache-resolver.jar:${J2EE_SDK}/lib/ant/lib/ant-commons-logging.jar:${J2EE_SDK}/lib/ant/lib/ant-commons-net.jar:${J2EE_SDK}/lib/ant/lib/ant-icontract.jar:${J2EE_SDK}/lib/ant/lib/ant-jai.jar:${J2EE_SDK}/lib/ant/lib/ant-javamail.jar:${J2EE_SDK}/lib/ant/lib/ant-jdepend.jar:${J2EE_SDK}/lib/ant/lib/ant-jmf.jar:${J2EE_SDK}/lib/ant/lib/ant-jsch.jar:${J2EE_SDK}/lib/ant/lib/ant-junit.jar:${J2EE_SDK}/lib/ant/lib/ant-launcher.jar:${J2EE_SDK}/lib/ant/lib/ant-netrexx.jar:${J2EE_SDK}/lib/ant/lib/ant-nodeps.jar:${J2EE_SDK}/lib/ant/lib/ant-starteam.jar:${J2EE_SDK}/lib/ant/lib/ant-stylebook.jar:${J2EE_SDK}/lib/ant/lib/ant-swing.jar:${J2EE_SDK}/lib/ant/lib/ant-trax.jar:${J2EE_SDK}/lib/ant/lib/ant-vaj.jar:${J2EE_SDK}/lib/ant/lib/ant-weblogic.jar:${J2EE_SDK}/lib/ant/lib/ant-xalan1.jar:${J2EE_SDK}/lib/ant/lib/ant-xslp.jar:${J2EE_SDK}/lib/ant/lib/ant.jar:${J2EE_SDK}/lib/ant/lib/xercesImpl.jar:${J2EE_SDK}/lib/ant/lib/xml-apis.jar:${J2EE_SDK}/lib/jhall.jar:${J2EE_SDK}/lib/install/applications/__cp/jdbc.jar:${J2EE_SDK}/lib/install/applications/__ds/jdbc.jar:${J2EE_SDK}/lib/install/applications/__xa/jdbc.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/admin-en.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/admin-xml.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/admin.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/admingui-jsp.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/framework-en.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/framework.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/help.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/cc.jar:${J2EE_SDK}/lib/install/applications/admingui/adminGUI_war/WEB-INF/lib/jato.jar:${J2EE_SDK}/lib/install/applications/com_sun_web_ui/WEB-INF/lib/registrationservlet.jar:${J2EE_SDK}/lib/install/applications/jaxr-ra/jaxr-ra.jar:${J2EE_SDK}/lib/install/applications/jmsra/imqjmsra.jar:${J2EE_SDK}/lib/install/applications/samples.jar:${J2EE_SDK}/lib/admin-cli.jar:${J2EE_SDK}/lib/appserv-admin.jar:${J2EE_SDK}/lib/deployment/sun-as-jsr88-dm.jar:${J2EE_SDK}/lib/dom.jar:${J2EE_SDK}/lib/jmxremote.jar:${J2EE_SDK}/lib/jmxremote_optional.jar:${J2EE_SDK}/lib/jsf-api.jar:${J2EE_SDK}/lib/jsf-impl.jar:${J2EE_SDK}/lib/rmissl.jar:${J2EE_SDK}/lib/verifier/verifierhelp.jar:${J2EE_SDK}/lib/xalan.jar:${J2EE_SDK}/lib/xercesImpl.jar:${J2EE_SDK}/lib/appserv-upgrade.jar:${J2EE_SDK}/lib/appserv-ext.jar:${J2EE_SDK}/lib/j2ee.jar:${J2EE_SDK}/lib/activation.jar:${J2EE_SDK}/lib/appserv-assemblytool.jar:${J2EE_SDK}/lib/appserv-cmp.jar:${J2EE_SDK}/lib/appserv-jstl.jar:${J2EE_SDK}/lib/appserv-tags.jar:${J2EE_SDK}/lib/commons-launcher.jar:${J2EE_SDK}/lib/commons-logging.jar:${J2EE_SDK}/lib/deployhelp.jar:${J2EE_SDK}/lib/j2ee-svc.jar:${J2EE_SDK}/lib/jax-qname.jar:${J2EE_SDK}/lib/jaxr-api.jar:${J2EE_SDK}/lib/jaxr-impl.jar:${J2EE_SDK}/lib/jaxrpc-api.jar:${J2EE_SDK}/lib/jaxrpc-impl.jar:${J2EE_SDK}/lib/mail.jar:${J2EE_SDK}/lib/relaxngDatatype.jar:${J2EE_SDK}/lib/saaj-api.jar:${J2EE_SDK}/lib/saaj-impl.jar:${J2EE_SDK}/lib/sun-appserv-ant.jar:${J2EE_SDK}/lib/xsdlib.jar:${J2EE_SDK}/lib/appserv-rt.jar

J2SE5_JRE=${J2EE_SDK}/jdk/jre

J2SE5_JRE_JARS=${J2SE5_JRE}/lib/charsets.jar:${J2SE5_JRE}/lib/deploy.jar:${J2SE5_JRE}/lib/javaws.jar:${J2SE5_JRE}/lib/jce.jar:${J2SE5_JRE}/lib/jsse.jar:${J2SE5_JRE}/lib/plugin.jar:${J2SE5_JRE}/lib/rt.jar

CLASSPATH=${ABC_JARS}:${J2SE5_JRE_JARS}:${J2SE142_JRE_RT}:${J2EE_JARS}:${CLASSPATH}

WEAVEPATH=$SOOTPATCH:$CURRENTJASMIN:$CURRENTSOOT:$APROVE:$APROVEDEPS:$EXTLIB:$CLASSPATH
EXECPATH=$WOVEN:$APROVE:$APROVEDEPS:$EXTLIB:$CLASSPATH

JAVA_HOME=${J2EE_SDK}/jdk/

#extract aprove jar

echo "Extracting aprove.jar..."
mkdir -p classes
cd classes
jar -xf ../aprove.jar
cd ..

#weave

echo "Weaving... (${EXTCLASSES})"
java -Xmx1024m -classpath ${WEAVEPATH} abc.main.Main -debug dontCheckExceptions -inpath ${APROVE} -d ${WOVEN} ${EXTCLASSES}

#copy over files which now would not be validated by the class loader due to abc bug

echo "Restoring files broken by abc..."
cp ./classes/aprove/VerificationModules/TerminationProcedures/DependencyPairsProcessor.class ./woven/aprove/VerificationModules/TerminationProcedures/DependencyPairsProcessor.class
cp ./classes/aprove/VerificationModules/TerminationProcedures/PoloProcessorInterface.class ./woven/aprove/VerificationModules/TerminationProcedures/PoloProcessorInterface.class 
cp ./classes/aprove/VerificationModules/TerminationProofs/MRRSccProof.class ./woven/aprove/VerificationModules/TerminationProofs/MRRSccProof.class

#run aprove

echo "Running aprove..."

for X in 1 2 3 4 5
do
	date
	java -ea -Xmx1024m -classpath ${EXECPATH} aprove.Main -u bat < aprove-abc-input > ${OUTFILE}.$X 2>&1
	date
done

echo "Done."