//Listing 7.7 Test.java

import java.sql.*;

public class Main {
    public static void main(String[] args) throws Exception {
	if (args.length < 1 || args.length > 2) {
	    System.err.println("Usage: java Main <iterations> [db-host]");
	    System.exit(1);
	}
	int its = Integer.parseInt(args[0]);
	String url = "jdbc:mysql:///laddad";
	if(args.length > 1) {
	    url = "jdbc:mysql://" + args[1] + "/laddad";
	}
	Class.forName("com.mysql.jdbc.Driver");
	for (int i=0; i<its; i++) {
	    printTable(url, "price",
	    	       "laddad", "laddad");
 	}
    }

    static void printTable(String url, String table,
			   String user, String password)
	throws SQLException {
	Connection connection
	    = DriverManager.getConnection(url, user, password);
	Statement stmt = connection.createStatement();
	ResultSet rs = stmt.executeQuery("select * from " + table);
	ResultSetMetaData rsmd = rs.getMetaData();
	int numCols = rsmd.getColumnCount();
	while (rs.next()) {
	    for (int i = 1; i < numCols+1; ++i) {
		System.out.print(rs.getString(i) + "\t");
	    }
	    System.out.println();
	}
	rs.close();
	connection.close();
    }
}
