public class MemoryTracker extends Thread
{
    private static Thread main_thread;

    public static void main(String[] args)
    {
        // start instrumentation
        main_thread = Thread.currentThread();
        new MemoryTracker().start();

        // start main program
        certrevsim.Simulator.main(args);
    }

    public void run()
    {
        while (main_thread.isAlive()) {
            System.gc();

            System.err.println(Runtime.getRuntime().totalMemory() -
                               Runtime.getRuntime().freeMemory());

            pause();
        }
    }

    private void pause()
    {
        try {
            main_thread.join(500);
        } catch (InterruptedException e) { }
    }
}
