structure Num
   0 : Num
   succ : Num -> Num
   
function plus : Num,Num -> Num
  plus(0, y) = y
  plus(succ(x), y) = succ(plus(x, y))
  
function times : Num,Num -> Num
  times(0, y) = 0
  times(succ(x), y) = plus(y, times(x, y))
  
function exp : Num,Num -> Num
  exp(x, 0) = succ(0)
  exp(x, succ(y)) = times(x, exp(x, y))
  
