import org.w3c.tools.resources.ResourceReference;

public class LORTest {

	static ResourceReference r1,r2;

    static abstract class Worker implements Runnable {

        private ResourceReference s, t;

        public Worker(ResourceReference s, ResourceReference t) {
            this.s = s;
            this.t = t;
        }

    }

	public static void main(String args[]) {

		r1 = new ResourceReference();
		r2 = new ResourceReference();

        int i=0;

		Worker w1 = new Worker(r1,r2) {
            public void run() {
                s.lock();
                t.lock();
                s.unlock();
            }
        };
        Worker w2 = new Worker(r1,r2) {
            public void run() {
                t.lock();
                s.lock();
            }
        };



        Thread t1 = new Thread(w1,"t1");
        Thread t2 = new Thread(w2,"t2");
        t1.start();
        t2.start();
        reset();
	}

    public static void reset() {};



}