package aspects;

import app.*;

aspect AutoSave {

    private int actions_since_last_save = 0;

    private int autosaves = 0;

    after() : call(* Application.save())
	|| call(* Application.autosave()) {
	actions_since_last_save = 0;
    }

    after() : call(* Command.execute()) {
	actions_since_last_save++;
	if (actions_since_last_save == 5) {
	    Application.autosave();
            autosaves++;
	}
    }

    after() : execution(* Application.main(..)) {
	System.out.println("autosaves="+autosaves);
    }
}